<?php

namespace App\Policies;

use App\Models\GuideCard;
use App\Models\User;

class GuideCardPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasPermissionTo('view-guide-card');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, GuideCard $guideCard): bool
    {
        return $user->hasPermissionTo('view-guide-card');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create-guide-card');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, GuideCard $guideCard): bool
    {
        return $user->hasPermissionTo('update-guide-card');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, GuideCard $guideCard): bool
    {
        return $user->hasPermissionTo('delete-guide-card');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, GuideCard $guideCard): bool
    {
        return $user->hasPermissionTo('delete-guide-card');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, GuideCard $guideCard): bool
    {
        return $user->hasPermissionTo('delete-guide-card');
    }
}
